--  This source is generated, and may be different on your system.

pragma Ada_2005;
pragma Style_Checks (Off);
with Interfaces.C; use Interfaces.C;
with System;
package GMP.H is
   pragma Pure;
   GMP_LIMB_BITS : constant := 64;
   GMP_NAIL_BITS : constant := 0;
   subtype mp_limb_t is unsigned_long;
   subtype mp_limb_signed_t is long;
   subtype mp_bitcnt_t is unsigned_long;
   type uu_mpz_struct is record
      u_mp_alloc : aliased int;
      u_mp_size : aliased int;
      u_mp_d : access mp_limb_t;
   end record;
   pragma Convention (C_Pass_By_Copy, uu_mpz_struct);
   subtype MP_INT is uu_mpz_struct;
   type mpz_t is array (0 .. 0) of aliased uu_mpz_struct;
   subtype mp_size_t is long;
   subtype mp_exp_t is long;
   type uu_mpq_struct is record
      u_mp_num : aliased uu_mpz_struct;
      u_mp_den : aliased uu_mpz_struct;
   end record;
   pragma Convention (C_Pass_By_Copy, uu_mpq_struct);
   subtype MP_RAT is uu_mpq_struct;
   type mpq_t is array (0 .. 0) of aliased uu_mpq_struct;
   type uu_mpf_struct is record
      u_mp_prec : aliased int;
      u_mp_size : aliased int;
      u_mp_exp : aliased mp_exp_t;
      u_mp_d : access mp_limb_t;
   end record;
   pragma Convention (C_Pass_By_Copy, uu_mpf_struct);
   type mpf_t is array (0 .. 0) of aliased uu_mpf_struct;
   subtype gmp_randalg_t is unsigned;
   GMP_RAND_ALG_DEFAULT : constant unsigned := 0;
   GMP_RAND_ALG_LC : constant unsigned := 0;
   type anon_9 (discr : unsigned := 0) is record
      case discr is
         when others =>
            u_mp_lc : System.Address;
      end case;
   end record;
   pragma Convention (C_Pass_By_Copy, anon_9);
   pragma Unchecked_Union (anon_9);type uu_gmp_randstate_struct is record
      u_mp_seed : aliased mpz_t;
      u_mp_alg : aliased gmp_randalg_t;
      u_mp_algdata : aliased anon_9;
   end record;
   pragma Convention (C_Pass_By_Copy, uu_gmp_randstate_struct);
   type gmp_randstate_t is array (0 .. 0) of aliased uu_gmp_randstate_struct;
end GMP.H;
